<template>
	<icon-font-component :type="type"></icon-font-component>
</template>
<script lang="ts" setup>
	import { toRefs } from 'vue'
	import { IconFontComponent } from './IconFontComponent'
	const props = defineProps({
		type: {
			type: String,
			required: true,
		},
	})
	const { type } = toRefs(props)
</script>
